Jump to content
Elia Besmer

Entweder "offers", "review" oder "aggregateRating" müssen angegeben werden

Recommended Posts

Hallo,

 In meiner Google Search Console wird bei allen Produkten angezeigt, dass Entweder "offers", "review" oder "aggregateRating"  angegeben werden müssen.

 Nun wo muss ich das ändern, damit das nicht mehr angezeigt wird, ich meine irgendwo muss das sein, weil in Prestashop habe ich alles richtig eingestellt. 

Ich bedanke mich sehr.

Share this post


Link to post
Share on other sites

Hallo,

wir haben die selben Fehler. Wo müssen wir was ändern, um diese Fehler zu beseitigen?

Freundliche Grüße

 

Share this post


Link to post
Share on other sites
Posted (edited)

Eigentlich sind die sog. Microdata für die Property products/offers, manchmal auch Google Richtext Snippets genannt, zumindest in Prestashop 1.6 (Standardtemplate, product.tpl) und 1.7 (s. product.tpl bzw. dazugehörige partials des Classic theme) integriert. Die Properties review und aggregateRating sind auf jeden Fall optional.

Näheres zur Funktionsweise mit Anwendungsbeispielen hier: https://schema.org/Product

Es wäre interessant zu wissen, von welcher Prestshop-Version bzw. welchem Template wir hier reden. Da solche Fehlermeldungen gewöhnlich von Usern berichtet werden, die 1.7 einsetzen, dürfte es sich in diesem Fall wohl um fehlerhafte Kodierungim block product_price in / themes/classic/templates/catalog/_partials/product-prices.tpl handeln, da eigentlich alle erforderlichen Angaben vorhanden sind.

Edited by Wuschel (see edit history)

Share this post


Link to post
Share on other sites

Danke für Deine Antwort.

Wir haben bei unseren Kunden Prestashop 1.7.5.1 und ...2 im Einsatz. Die Fehlermeldung kommt sowohl beim Classic-Theme als auch bei Fremd-Themes.

Wo können wir ansetzen, um diese Fehler zu beheben?

In den Blöcken zu programmieren, das ist dann doch auch für uns recht anspruchsvoll. Ein paar Tipps und / oder eine Anleitung wäre - nicht nur für uns - recht hilfreich.

 

Share this post


Link to post
Share on other sites
Am 28.6.2019 um 6:41 PM schrieb Wuschel:

Eigentlich sind die sog. Microdata für die Property products/offers, manchmal auch Google Richtext Snippets genannt, zumindest in Prestashop 1.6 (Standardtemplate, product.tpl) und 1.7 (s. product.tpl bzw. dazugehörige partials des Classic theme) integriert. Die Properties review und aggregateRating sind auf jeden Fall optional.

Näheres zur Funktionsweise mit Anwendungsbeispielen hier: https://schema.org/Product

Es wäre interessant zu wissen, von welcher Prestshop-Version bzw. welchem Template wir hier reden. Da solche Fehlermeldungen gewöhnlich von Usern berichtet werden, die 1.7 einsetzen, dürfte es sich in diesem Fall wohl um fehlerhafte Kodierungim block product_price in / themes/classic/templates/catalog/_partials/product-prices.tpl handeln, da eigentlich alle erforderlichen Angaben vorhanden sind.

Hallo Wuschel

Wir benutzen die Version 1.7 und bei jedem Produkt wird dieser Fehler angezeigt. Wo und was muss ich ändern. 

Freundliche Grüsse 

Elia

Share this post


Link to post
Share on other sites
On 7/3/2019 at 9:13 AM, Nele2009 said:

Danke für Deine Antwort.

Wir haben bei unseren Kunden Prestashop 1.7.5.1 und ...2 im Einsatz. Die Fehlermeldung kommt sowohl beim Classic-Theme als auch bei Fremd-Themes.

Wo können wir ansetzen, um diese Fehler zu beheben?

In den Blöcken zu programmieren, das ist dann doch auch für uns recht anspruchsvoll. Ein paar Tipps und / oder eine Anleitung wäre - nicht nur für uns - recht hilfreich.

Da habe ich eigentlich nur einen Ratschlag für euch als IT-Unternehmen: Gesteht euren Kunden, dass ihr euch mit solchen Dingen wie SEO bei Onlineshops wie Prestashop nicht gut genug auskennt auskennt und bittet sie, sich einen kompetenten Vertragspartner zu suchen. Nimm es bitte nicht persönlich, aber ich muss das mal so hart sagen: Das hier ist ein Userforum und kein kostenloses Auskunftsbüro für Webdesigner, die damit bei ihren Kunden Geld verdienen möchten. Wenn ihr es nicht selber hinbekommt, dann müsst ihr ggf. einen Programmierer anheuern, der sein Handwerk versteht. Und vor allem solltet ihr euch besser von unfertigen Programmversionen wie Prestashop 1.7 fernhalten. Denn wer hier nicht selbst korrigierend eingreifen kann, der steht auf verlorenem Posten.

Share this post


Link to post
Share on other sites
Posted (edited)
4 hours ago, Elia Besmer said:

Hallo Wuschel

Wir benutzen die Version 1.7 und bei jedem Produkt wird dieser Fehler angezeigt. Wo und was muss ich ändern. 

Freundliche Grüsse 

Elia

Hallo Elia,

da könnte ich wirklich nur Vermutungen anstellen. Ich werde mich zwar hüten, 1.7 als Liveshop irgendwo einzusetzen, aber zumindest meine Testversionen 1.7.5.1 und 1.7.5.2 (unter PHP 7.2) oder auch Prestashops eigene Demoversion (unter PHP 5.6) zeigen so ein Fehlverhalten nicht. Es scheint also nur unter bestimmten Bedingungen aufzutreten, und dafür eignen sich keine Ferndiagnosen. 

Du kannst probeweise den Debugmodus aktivieren oder auch die Servereinstellungen prüfen. Anleitungen dafür findest du in diesem Forum ganz sicher.

 

Edited by Wuschel (see edit history)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More